Bug 217084 - Firefox fails to display page just loaded
Firefox fails to display page just loaded
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2006-11-23 17:15 EST by Jeff Garzik
Modified: 2013-07-02 22:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-24 04:59:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Garzik 2006-11-23 17:15:01 EST
Description of problem:
After clicking on a link, or opening a new tab and typing in a URL, firefox will
successfully load the page, successfully change the window and tab title to the
new page, but the old page's contents (blank, if new tab) is still completely

Clicking reload causes the page to display correctly.

Between this and the more-severe BZ# 216098 (opens undecorated windows
unrequested), web surfing requires a lot of 'Reload' just to be usable.

Version-Release number of selected component (if applicable):
All firefox shipping with FC5 and FC6 up to and including firefox-

How reproducible:
Happens at least a couple times per day.  Happens more often when I browse to a
static file (file://).

Steps to Reproduce:
1. Click on a link in an existing web page, maybe a link to a static file.
2. Firefox either displays the page correctly, incorrectly opens a new
undecorated window (BZ# 216098), or continues to display the same page (but with
changed window and tab titles).
3. Click reload, the page should now be properly displayed.
Actual results:
Same page containing clicked link.

Expected results:
New page (destination of clicked link).

Additional info:
Let me know what else you need.
Comment 1 Martin Stransky 2006-11-24 04:58:20 EST
Hm, I'm unable to reproduce it...
Comment 2 Jeff Garzik 2006-11-24 07:03:57 EST
As I noted, it is not immediately reproducible.

This bug has existed since at least FC5 however.

Note You need to log in before you can comment on or make changes to this bug.